package body MSHTML.DispSVGLineElement_Object is

   procedure PutRef_x1
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGLineElement_PutRef_x1,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_x1;

   function Get_x1
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_x1);
   end Get_x1;

   procedure PutRef_y1
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGLineElement_PutRef_y1,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_y1;

   function Get_y1
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_y1);
   end Get_y1;

   procedure PutRef_x2
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGLineElement_PutRef_x2,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_x2;

   function Get_x2
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_x2);
   end Get_x2;

   procedure PutRef_y2
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGLineElement_PutRef_y2,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_y2;

   function Get_y2
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_y2);
   end Get_y2;

   procedure Put_xmlbase
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGLineElement_Put_xmlbase,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmlbase;

   function Get_xmlbase
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_xmlbase);
   end Get_xmlbase;

   procedure PutRef_ownerSVGElement
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGLineElement_PutRef_ownerSVGElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_ownerSVGElement;

   function Get_ownerSVGElement
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_ownerSVGElement);
   end Get_ownerSVGElement;

   procedure PutRef_viewportElement
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGLineElement_PutRef_viewportElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_viewportElement;

   function Get_viewportElement
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_viewportElement);
   end Get_viewportElement;

   procedure PutRef_focusable
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGLineElement_PutRef_focusable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_focusable;

   function Get_focusable
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_focusable);
   end Get_focusable;

   function Get_requiredFeatures
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_requiredFeatures);
   end Get_requiredFeatures;

   function Get_requiredExtensions
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_requiredExtensions);
   end Get_requiredExtensions;

   function Get_systemLanguage
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_systemLanguage);
   end Get_systemLanguage;

   function hasExtension
     (This      : DispSVGLineElement_Type;
      extension : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispSVGLineElement_hasExtension,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => extension),
         Free);
   end hasExtension;

   procedure Put_xmllang
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGLineElement_Put_xmllang,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmllang;

   function Get_xmllang
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_xmllang);
   end Get_xmllang;

   procedure Put_xmlspace
     (This : DispSVGLineElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGLineElement_Put_xmlspace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmlspace;

   function Get_xmlspace
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_xmlspace);
   end Get_xmlspace;

   function Get_externalResourcesRequired
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_externalResourcesRequired);
   end Get_externalResourcesRequired;

   function Get_className
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_className);
   end Get_className;

   function Get_transform
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_transform);
   end Get_transform;

   function Get_nearestViewportElement
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_nearestViewportElement);
   end Get_nearestViewportElement;

   function Get_farthestViewportElement
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGLineElement_Get_farthestViewportElement);
   end Get_farthestViewportElement;

   function getBBox
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispSVGLineElement_getBBox);
   end getBBox;

   function getCTM
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispSVGLineElement_getCTM);
   end getCTM;

   function getScreenCTM
     (This : DispSVGLineElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispSVGLineElement_getScreenCTM);
   end getScreenCTM;

   function getTransformToElement
     (This     : DispSVGLineElement_Type;
      pElement : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispSVGLineElement_getTransformToElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pElement),
         Free);
   end getTransformToElement;

end MSHTML.DispSVGLineElement_Object;

